## crowdsec-firewall-bouncer 0.0.25~rc3

=== Makefile ===
# Go parameters
GOCMD=go
GOBUILD=$(GOCMD) build
GOCLEAN=$(GOCMD) clean
GOTEST=$(GOCMD) test
GOGET=$(GOCMD) get

# Current versioning information from env
BUILD_VERSION?="$(shell git describe --tags)"
BUILD_GOVERSION="$(shell go env GOVERSION | sed s/go//)"
BUILD_TIMESTAMP=$(shell date +%F"_"%T)
BUILD_TAG?="$(shell git rev-parse HEAD)"

LD_OPTS_VARS=\
-X github.com/crowdsecurity/cs-firewall-bouncer/pkg/version.Version=$(BUILD_VERSION) \
-X github.com/crowdsecurity/cs-firewall-bouncer/pkg/version.BuildDate=$(BUILD_TIMESTAMP) \
-X github.com/crowdsecurity/cs-firewall-bouncer/pkg/version.Tag=$(BUILD_TAG)

ifdef BUILD_STATIC
	export LD_OPTS=-ldflags "-a -s -w -extldflags '-static' $(LD_OPTS_VARS)" -tags netgo
else
	export LD_OPTS=-ldflags "-a -s -w $(LD_OPTS_VARS)"
endif

PREFIX?="/"
BINARY_NAME=crowdsec-firewall-bouncer

MINIMUM_SUPPORTED_GO_MAJOR_VERSION = 1
MINIMUM_SUPPORTED_GO_MINOR_VERSION = 13

#Golang version info
go_major_minor = $(subst ., ,$(BUILD_GOVERSION))
GO_MAJOR_VERSION = $(word 1, $(go_major_minor))
GO_MINOR_VERSION = $(word 2, $(go_major_minor))

GO_VERSION_VALIDATION_ERR_MSG = Golang version ($(BUILD_GOVERSION)) is not supported, please use at least $(MINIMUM_SUPPORTED_GO_MAJOR_VERSION).$(MINIMUM_SUPPORTED_GO_MINOR_VERSION)

RELDIR = "crowdsec-firewall-bouncer-${BUILD_VERSION}"

PYTHON=python3
PIP=pip

all: clean build

goversion:
	@if [ $(GO_MAJOR_VERSION) -gt $(MINIMUM_SUPPORTED_GO_MAJOR_VERSION) ]; then \
		exit 0 ;\
	elif [ $(GO_MAJOR_VERSION) -lt $(MINIMUM_SUPPORTED_GO_MAJOR_VERSION) ]; then \
		echo '$(GO_VERSION_VALIDATION_ERR_MSG)';\
		exit 1; \
	elif [ $(GO_MINOR_VERSION) -lt $(MINIMUM_SUPPORTED_GO_MINOR_VERSION) ] ; then \
		echo '$(GO_VERSION_VALIDATION_ERR_MSG)';\
		exit 1; \
	fi


.PHONY: lint
lint:
	golangci-lint run

build: goversion clean
	$(GOBUILD) $(LD_OPTS) $(BUILD_VENDOR_FLAGS) -o $(BINARY_NAME)

test:
	@$(GOTEST) $(LD_OPTS) ./...

clean:
	@$(RM) $(BINARY_NAME)
	@$(RM) -r ${RELDIR}
	@$(RM) crowdsec-firewall-bouncer.tgz
	@$(RM) -r tests/venv

.PHONY: func-tests
func-tests: build
	( \
	$(PYTHON) -m venv tests/venv ; \
	tests/venv/bin/$(PIP) install -r tests/requirements.txt ; \
	sudo tests/venv/bin/$(PYTHON) -B -m unittest -v ; \
	)

.PHONY: release
release: build
	@if [ -z ${BUILD_VERSION} ] ; then BUILD_VERSION="local" ; fi
	@if [ -d $(RELDIR) ]; then echo "$(RELDIR) already exists, clean" ;  exit 1 ; fi
	@echo Building Release to dir $(RELDIR)
	@mkdir $(RELDIR)/
	@cp $(BINARY_NAME) $(RELDIR)/
	@cp -R ./config $(RELDIR)/
	@cp ./scripts/install.sh $(RELDIR)/
	@cp ./scripts/uninstall.sh $(RELDIR)/
	@cp ./scripts/upgrade.sh $(RELDIR)/
	@chmod +x $(RELDIR)/install.sh
	@chmod +x $(RELDIR)/uninstall.sh
	@chmod +x $(RELDIR)/upgrade.sh
	@tar cvzf crowdsec-firewall-bouncer.tgz $(RELDIR)

=== debian/changelog ===
crowdsec-firewall-bouncer (0.0.25~rc3-2) unstable; urgency=medium

  * Fix missing license information for koneu/natend. Thanks, Thorsten
    Alteholz!

 -- Cyril Brulebois <cyril@debamax.com>  Sat, 18 Feb 2023 20:21:22 +0100

crowdsec-firewall-bouncer (0.0.25~rc3-1) unstable; urgency=medium

  * Initial release (Closes: #1025256).

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 17 Feb 2023 21:04:53 +0100

## crowdsec-firewall-bouncer 0.0.25

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 # Current versioning information from env
 BUILD_VERSION?="$(shell git describe --tags)"
-BUILD_GOVERSION="$(shell go env GOVERSION | sed s/go//)"
+BUILD_GOVERSION=$(shell go env GOVERSION | sed s/go//)
 BUILD_TIMESTAMP=$(shell date +%F"_"%T)
-BUILD_TAG?="$(shell git rev-parse HEAD)"
+BUILD_TAG?=$(shell git rev-parse HEAD)
 
 LD_OPTS_VARS=\
 -X github.com/crowdsecurity/cs-firewall-bouncer/pkg/version.Version=$(BUILD_VERSION) \

=== tests/requirements.txt ===
flask
pytimeparse

=== debian/changelog ===
crowdsec-firewall-bouncer (0.0.25-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update 

 -- Evan Caville <evan.caville@canonical.com>  Thu, 17 Jul 2025 16:52:51 +1000

crowdsec-firewall-bouncer (0.0.25-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 14:05:14 +1000

crowdsec-firewall-bouncer (0.0.25-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 12:32:55 +0530

crowdsec-firewall-bouncer (0.0.25-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:34 +1200

crowdsec-firewall-bouncer (0.0.25-3) unstable; urgency=medium

  * Fix failure to install if crowdsec is unpacked but not configured
    (Closes: #1036985):
     - If both cscli and /etc/crowdsec/config.yaml exist, register as
       previously, via `cscli bouncers add`.
     - If cscli exists but /etc/crowdsec/config.yaml doesn't, create an
       API key similarly to what cscli would do (32 hexadecimal digits),
       and queue registration in /var/lib/crowdsec/pending-registration.
  * Add ConditionPathExists=!/var/lib/crowdsec/pending-registration to the
    systemd unit accordingly, so that it's skipped until crowdsec's
    postinst deals with the pending-registration file, removes it, and
    starts the units.
  * Use mode 600 when creating crowdsec-firewall-bouncer.yaml.local, since
    it contains an API key.

 -- Cyril Brulebois <cyril@debamax.com>  Wed, 31 May 2023 18:57:41 +0200

crowdsec-firewall-bouncer (0.0.25-2) unstable; urgency=medium

  * Stop shipping a logrotate configuration snippet, as the bouncer rotates
    logs on its own via lumberjack.Logger, and that can be configured in
    /etc/crowdsec/bouncers/crowdsec-firewall-bouncer.yaml (or the .local
    override):
     - Delete debian/crowdsec-firewall-bouncer.logrotate
     - Tag /etc/logrotate.d/crowdsec-firewall-bouncer remove-on-upgrade
       via debian/crowdsec-firewall-bouncer.conffiles.
  * When purging the package, remove internally-rotated log files, in
    addition to removing main log file and the logrotate-generated ones.

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 20 Mar 2023 23:27:07 +0100

crowdsec-firewall-bouncer (0.0.25-1) unstable; urgency=medium

  * New upstream release.

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 21 Feb 2023 15:21:26 +0100

=== debian/control ===
Source: crowdsec-firewall-bouncer
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-go-systemd-dev,
               golang-github-crowdsecurity-crowdsec-dev,
               golang-github-crowdsecurity-go-cs-bouncer-dev,
               golang-github-google-nftables-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-natefinch-lumberjack.v2-dev,
               golang-gopkg-tomb.v2-dev,
               golang-logrus-dev,
               golang-prometheus-client-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/crowdsec-firewall-bouncer
Vcs-Git: https://salsa.debian.org/go-team/packages/crowdsec-firewall-bouncer.git
Homepage: https://github.com/crowdsecurity/cs-firewall-bouncer
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/crowdsecurity/cs-firewall-bouncer

Package: crowdsec-firewall-bouncer
Architecture: any
Depends: nftables | iptables,
         nftables | ipset,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: crowdsec
Built-Using: ${misc:Built-Using}
Description: CrowdSec bouncer for firewalls
 This package uses the CrowdSec API to implement decisions at the firewall
 level via blocklists. It supports both nftables and iptables+ipset (IPv4
 and IPv6).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
	cd debian/crowdsec-firewall-bouncer/usr/bin && mv cs-firewall-bouncer crowdsec-firewall-bouncer
